[Ironruby-core] Using IronPython code from IronRuby

Tomas Matousek Tomas.Matousek at microsoft.com
Sun Nov 22 14:22:10 EST 2009

Looks like version mismatch. Do you build IronPython from the same sources as IronRuby?
You can find compatible binaries here:


From: ironruby-core-bounces at rubyforge.org [mailto:ironruby-core-bounces at rubyforge.org] On Behalf Of Shay Friedman
Sent: Sunday, November 22, 2009 5:04 AM
To: ironruby-core
Subject: [Ironruby-core] Using IronPython code from IronRuby


I'm trying to load an IronPython file in IronRuby (via IronRuby.require) and I get an exception: "Failed to load language 'IronPython 2.6': type 'IronPython.Runtime.PythonContext' is not a valid language provider because it does not inherit from LanguageContext".

This is thrown from the require method.

What am I doing wrong?


Shay Friedman
Author of IronRuby Unleashed
Follow me: http://twitter.com/ironshay
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://rubyforge.org/pipermail/ironruby-core/attachments/20091122/304d35a5/attachment-0001.html>

More information about the Ironruby-core mailing list